A NodeList is used to interact with the Nodes-class by allowing the requester to indicate the order of arrival of messages and which nodes didn't reply correctly.

### Hierarchy

- NodeList

## Index

### Constructors

- constructor

### Properties

- active
- first
- nodes
- replied
- reserve
- start

### Accessors

- length

### Methods

- done
- replace

## Constructors

### constructor

- new NodeList(nodes: Nodes, service: string, parallel: number): NodeList

- - Defined in src/network/nodes.ts:228

  #### Parameters

  - ##### nodes: Nodes

  - ##### service: string

  - ##### parallel: number

  #### Returns NodeList

## Properties

### active

active: IConnection[]

- Defined in src/network/nodes.ts:224

### Private first

first: number = 0

- Defined in src/network/nodes.ts:227

### Private nodes

nodes: Nodes

- Defined in src/network/nodes.ts:230

### Private replied

replied: number = 0

- Defined in src/network/nodes.ts:228

### Private reserve

reserve: IConnection[]

- Defined in src/network/nodes.ts:225

### Private start

start: number

- Defined in src/network/nodes.ts:226

## Accessors

### length

- get length(): number

- - Defined in src/network/nodes.ts:238

  Returns the total number of nodes.

  #### Returns number

## Methods

### done

- done(ws: IConnection): number

- - Defined in src/network/nodes.ts:259

  Indicates that this node has successfully finished its job.

  #### Parameters

  - ##### ws: IConnection

  #### Returns number

### replace

- replace(ws: IConnection): IConnection | undefined

- - Defined in src/network/nodes.ts:247

  Replaces the given node with a fresh one. Only to be called in case of websocket-error 1001 or higher.

  #### Parameters

  - ##### ws: IConnection

  #### Returns IConnection | undefined

Generated using TypeDoc